Bug 1007139 - RFE: add an OpenFlow dissector (backport from master branch; patches inc)
RFE: add an OpenFlow dissector (backport from master branch; patches inc)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 22:06 EDT by Jose Pedro Oliveira
Modified: 2016-05-31 21:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: wireshark-1.10.2-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:26:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wireshark 1.10.2 specfile patch (2.30 KB, patch)
2013-09-11 22:06 EDT, Jose Pedro Oliveira
no flags Details | Diff
register the openflow dissector (853 bytes, patch)
2013-09-11 22:08 EDT, Jose Pedro Oliveira
no flags Details | Diff
The OpenFlow dissector (57.29 KB, text/x-csrc)
2013-09-11 22:10 EDT, Jose Pedro Oliveira
no flags Details

  None (edit)
Description Jose Pedro Oliveira 2013-09-11 22:06:38 EDT
Created attachment 796599 [details]
wireshark 1.10.2 specfile patch

Description of problem:
Please add the OpenFlow dissector to the current stable version of Wireshark (1.10). This dissector is useful for people learning SDN concepts (e.g. using Mininet in Fedora)

Version-Release number of selected component (if applicable):
1.10.2-1

Actual results:
The current stable version of wireshark (1.10) doesn't include an OpenFlow dissector.

Expected results:
Include the OpenFlow dissector.

Additional info:
The current upstream OpenFlow dissector compiles without problems in the wireshark 1.10.{0,1,2} tree.
Comment 1 Jose Pedro Oliveira 2013-09-11 22:08:14 EDT
Created attachment 796600 [details]
register the openflow dissector

register the OpenFlow dissector (register for autotools and cmake build methods)
Comment 2 Jose Pedro Oliveira 2013-09-11 22:10:29 EDT
Created attachment 796601 [details]
The OpenFlow dissector

The OpenFlow dissector (from the master branch of wireshark svn tree; it will be included in the next stable release - 1.12 - that is expected to be release in Jun 2014).
Comment 3 Jose Pedro Oliveira 2013-09-11 22:16:03 EDT
I've just add 3 attachments (2 patches + 1 C source file).

 1) wireshark specfile patch
 2) patch to register the openflow dissector
 3) the OpenFlow dissector source file (from upstream)

The upstream history of the OpenFlow dissector can be seen here:

 * https://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-openflow.c

and the dissector source file can be extracted like this:

 * wget --no-check-certificate "https://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-openflow.c?revision=51740&view=co" -O wireshark-1.12-packet-openflow-rev51470.c

Regards,
jpo
Comment 4 Fedora Update System 2013-09-12 03:52:54 EDT
wireshark-1.10.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-2.fc20
Comment 5 Fedora Update System 2013-09-12 03:53:52 EDT
wireshark-1.10.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-2.fc19
Comment 6 Jose Pedro Oliveira 2013-09-12 10:08:55 EDT
Thanks Peter!


$ rpm -q wireshark
wireshark-1.10.2-2.fc19.x86_64


$ tshark -G protocols | grep -i openflow
OpenFlow	openflow	openflow


$ tshark -G fields | grep -i openflow
P	OpenFlow	openflow
F	Version	openflow.version	FT_UINT8	openflow	BASE_HEX	0x7f
F	Type	openflow.type	FT_UINT8	openflow	BASE_DEC	0x0
F	Transaction ID	openflow.xid	FT_UINT32	openflow	BASE_DEC	0x0
F	Length	openflow.length	FT_UINT16	openflow	BASE_DEC	0x0
...
Comment 7 Jose Pedro Oliveira 2013-09-12 10:22:33 EDT
$ tshark -d tcp.port==6633,openflow -r of.pcap
...
  6   0.021635    127.0.0.1 -> 127.0.0.1    OpenFlow 74 Type: OFPT_HELLO
...
  8   0.022610    127.0.0.1 -> 127.0.0.1    OpenFlow 74 Type: OFPT_FEATURES_REQUEST
...
 10   0.022735    127.0.0.1 -> 127.0.0.1    OpenFlow 290 Type: OFPT_FEATURES_REPLY
 11   0.023645    127.0.0.1 -> 127.0.0.1    OpenFlow 78 Type: OFPT_SET_CONFIG
...
Comment 8 Fedora Update System 2013-09-12 12:28:29 EDT
Package wireshark-1.10.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.10.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16530/wireshark-1.10.2-2.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-12 12:47:18 EDT
wireshark-1.10.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc19
Comment 10 Fedora Update System 2013-09-12 12:48:27 EDT
wireshark-1.10.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc20
Comment 11 Fedora Update System 2013-09-13 10:01:25 EDT
wireshark-1.10.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-5.fc20
Comment 12 Fedora Update System 2013-09-13 10:02:42 EDT
wireshark-1.10.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-5.fc19
Comment 13 Fedora Update System 2013-09-16 20:26:34 EDT
wireshark-1.10.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-09-24 15:32:48 EDT
wireshark-1.10.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-6.fc19
Comment 15 Fedora Update System 2013-09-24 15:35:13 EDT
wireshark-1.10.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-4.fc18
Comment 16 Fedora Update System 2013-09-24 15:37:33 EDT
wireshark-1.10.2-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.2-7.fc20
Comment 17 Fedora Update System 2013-09-27 20:09:10 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-10-02 21:01:43 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-12-19 02:08:38 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.